[package]
name = "contracts"
version = "0.1.0"
edition = "2021"

[dependencies]
axum = { workspace = true, features = ["multipart"] }
serde = { workspace = true }
serde_json = { workspace = true }
tracing = { workspace = true }
uuid = { workspace = true }
chrono = { workspace = true }
anyhow = { workspace = true }
sqlx = { workspace = true }
async-trait = { workspace = true }
jsonwebtoken = { version = "10.3", features = ["rust_crypto"] }
db     = { path = "../db" }
cache  = { path = "../cache" }
storage = { path = "../storage" }
wallet = { path = "../wallet" }
bytes.workspace = true
